﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Carousel;
using System.Collections.Generic;
using Android.Graphics;

namespace CarouselSample
{
    [Activity(Label = "CarouselSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.Main);

            LinearLayout linearLayout = (LinearLayout)FindViewById(Resource.Id.ParentLayout_Carousel);
            SfCarousel carousel = new SfCarousel(this);
            carousel.LayoutParameters = new Android.Views.ViewGroup.LayoutParams(LinearLayout.LayoutParams.MatchParent, LinearLayout.LayoutParams.MatchParent);

            List<SfCarouselItem> tempCollection = new List<SfCarouselItem>();

            List<int> arrayList = new List<int>();
            arrayList.Add(Resource.Drawable.movie1);
            arrayList.Add(Resource.Drawable.movie2);
            arrayList.Add(Resource.Drawable.movie3);
            arrayList.Add(Resource.Drawable.movie4);


            for (int i = 0; i < 4; i++)
            {
                FrameLayout frameLayout = new FrameLayout(this);
                SfCarouselItem sfCarouselItem = new SfCarouselItem(this);
                ImageView imageView = new ImageView(this);
                imageView.LayoutParameters = new Android.Views.ViewGroup.LayoutParams(carousel.ItemWidth, carousel.ItemHeight);
                imageView.SetImageResource(arrayList[i]);
                imageView.SetScaleType(ImageView.ScaleType.FitXy);
                frameLayout.AddView(imageView);
                sfCarouselItem.ContentView = frameLayout;
                tempCollection.Add(sfCarouselItem);
            }
            carousel.RotationAngle = 45;
            carousel.SelectedIndex = 2;
         
            carousel.DataSource = tempCollection;

            linearLayout.AddView(carousel);

        }
    }
}
